# Downloadable Free Thai Fonts and their Licenses

**Download from the directories listed above**

## Font Foundries, Typeface Designers, Font Families

For this Thai Font Collection, we focus on 6 sources of free and open source Thai fonts. These are font foundries, typeface designers, and/or font license holders. Below are the sources and the font families available (though again, not all font families are complete).

## Cadson Demak

The [Cadson Demask Web Fonts](https://fonts.google.com/?subset=thai) on Google Fonts are quite nice, and are also available via download from their [Github repository](https://github.com/cadsondemak).

We include the following font families in our repository: Athiti, Chonburi, Itim, Kanit, Maitree, Mitr, Pattaya, Pridi, Prompt, Sriracha, Taviraj, and Trirong.

[![](https://lanna.io/images/lanna/fonts/cadson-demak-free-thai-fonts-m.png)](https://lanna.io/images/lanna/fonts/cadson-demak-free-thai-fonts-l.png)

<p style="clear:both;"></p>

## DIP-SIPA

The Thai Department of Intellectual Property (DIP), and Ministry of Commerce and the Software Industry Promotion Agency (Public Organization) (SIPA) have released several fonts under free-to-use (and distribute) license.

We include the following font families in our repository: TH Baijam, TH Chakra Petch, TH Charm of AU, TH Charmonman, TH Fah Kwang, TH K2D July8, TH Kodchasai, TH KoHo, TH Krub, TH Mali Grade 6, TH Niramit AS, TH Sarabun New, and TH Srisakdi.

[![](https://lanna.io/images/lanna/fonts/dip-sipa-free-thai-fonts-m.png)](https://lanna.io/images/lanna/fonts/dip-sipa-free-thai-fonts-l.png)

<p style="clear:both;"></p>

## Google Noto

Google's [Google Noto Fonts](https://github.com/googlei18n/noto-fonts) support ~800 different scripts, and are available on a [Github repository](https://github.com/googlei18n/noto-fonts), and also available for download from [Google Fonts](https://fonts.google.com/?query=noto+s). Unfortunately, as of March 2017, the Thai font families are not available ***as*** a web font.

We include the following font families in our repository: Noto Sans Thai, and Noto Serif Thai.

[![](https://lanna.io/images/lanna/fonts/google-noto-free-thai-fonts-m.png)](https://lanna.io/images/lanna/fonts/google-noto-free-thai-fonts-l.png)

<p style="clear:both;"></p>

## JS Technology

The monumental efforts of Panutat Tejasen, Seveng Tantiraphan, and Pongsathorn Sraouthai, who together are also published under JS Technology, is the heart of this project, at nearly 60% of the font families and nearly 30% of all font families in this collection.

We include the following font families in our repository: JS 75 Pumpuang, JS Amphan, JS Angsumalin, JS Arisa, JS Boaboon, JS Chaimongkol, JS Chalit, JS Chanok, JS Charnchai, JS Chawlewhieng, JS Chodok, JS Chulee, JS Chusri, JS Duangta, JS Giat, JS Hariphan, JS Jetarin, JS Jindara, JS Jukaphan, JS Junkaew, JS Karabow, JS Khunwai, JS Kobori, JS Korakhot, JS Laongdao, JS Likhit, JS Macha, JS Mookravee, JS Neeno, JS Ninja Allcaps, JS Noklae, JS Obsaward, JS Oobboon, JS Padachamai, JS Pisit, JS Pitsamai, JS Pitsanu, JS Prajuk, JS Pranee, JS Prapakorn, JS Prasoplarp, JS Puchong, JS Pudgrong, JS Pumpuang, JS Puriphop, JS Rapee, JS Sadayu, JS Saksit, JS Samurai, JS Sangravee, JS Saowapark, JS Sarunya, JS Setha, JS Sirium, JS Sunsanee, JS Synjai, JS Thanaporn, JS Tina, JS Toomtam, JS Wanida, JS Wannaree, JS Wansika, and JS Yodthida.

[![](https://lanna.io/images/lanna/fonts/js-technology-free-thai-fonts-1-of-3-m.png)](https://lanna.io/images/lanna/fonts/js-technology-free-thai-fonts-1-of-3-l.png)

<p style="clear:both;"></p>

[![](https://lanna.io/images/lanna/fonts/js-technology-free-thai-fonts-2-of-3-m.png)](https://lanna.io/images/lanna/fonts/js-technology-free-thai-fonts-2-of-3-l.png)

<p style="clear:both;"></p>

[![](https://lanna.io/images/lanna/fonts/js-technology-free-thai-fonts-3-of-3-m.png)](https://lanna.io/images/lanna/fonts/js-technology-free-thai-fonts-3-of-3-l.png)

<p style="clear:both;"></p>

## NECTEC National Fonts

[NECTEC Thai National Fonts](https://www.nectec.or.th/pub/review-software/font/national-fonts.html) are open source and free. Some of these fonts have been modified (by font designers from the Thai Linux Working Group (TLWG), hence their dual-copyright nature.

We include the following font families in our repository: Garuda, Norasi, Kinnari, Loma, TlwgTypewriter, TlwgTypo, and Umpush.

[![](https://lanna.io/images/lanna/fonts/nectec-tlwg-free-thai-fonts-m.png)](https://lanna.io/images/lanna/fonts/nectec-tlwg-free-thai-fonts-l.png)

<p style="clear:both;"></p>

## Thai Electronic Publishing Club (TEPC)

We include the following font families in our repository: Aksaramatee, ChulaNarak, CmPrasanmit, DC-Palmongkol, FonLeb, Himmaparnt, KaniGa, Nakaracha, PSK Smart, and SR FahMai.

[![](https://lanna.io/images/lanna/fonts/tepc-free-thai-fonts-m.png)](https://lanna.io/images/lanna/fonts/tepc-free-thai-fonts-l.png)

<p style="clear:both;"></p>

## Free and Open Source Thai Font Licensing

The contents of this repository of Thai Fonts are public domain, free, open source, and/or creative-commons licensed font software, and include distribution rights. Each font file has its license embedded within it, and listed below for convenience.

## Cadson Demak License

This Font Software is licensed under the SIL Open Font License, Version 1.1. <http://scripts.sil.org/OFL>

## DIP SIPA License

This Font Computer Program is the copyright of the Department of Intellectual Property (DIP), Ministry of Commerce and the Software Industry Promotion Agency (Public Organization) (SIPA).

The purposes of this Font Computer Program License are to stimulate worldwide development of cooperative font creation, to benefit for academic, to share and to develop in partnership with others.

Term and Condition of the Font Computer Program

(1) Allow to use without any charges and allow to reproduce, study, adapt and distribute this Font Computer Program. Neither the original version nor adapted version of Font Computer Program may be sold by itself, except bundled and/or sold with any computer program.

(2) If you wish to adapt this Font Computer Program, you must notify copyright owners (DIP & SIPA) in writing.

(3) No adapted version of Font Computer Program may use the Reserved Font Name(s), the name(s) of the copyright owners and the author(s) of the Font Computer Program must not be used to promote or advertise any adapted version, except obtaining written permission from copyright owners and the author(s).

(4) The adapted version of Font Computer Program must be released under the term and condition of this license.

DISCLAIMER

THE FONT COMPUTER PROGRAM AND RELATED FILES ARE PROVIDED 'AS IS' AND WITHOUT WARRANTY OF ANY KIND. NO GUARANTEES ARE MADE THAT THIS FONT COMPUTER PROGRAM WILL WORK AS EXPECTED OR WILL BE DEVELOPED FURTHUR IN ANY SPECIFIC WAY. THERE IS NO OFFER OR GUARANTEE OF TECHNICAL SUPPORT.

## Google Noto License

Licensed under the Apache License, Version 2.0. <https://www.apache.org/licenses/LICENSE-2.0>

## JS Technology License

These fonts are free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. <https://www.gnu.org/licenses/gpl-3.0.en.html>

## NECTEC TLWG License

Generated by NECTEC for Public Domain. Modified under GNU General Public License by TLWG.

This font is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This font is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. <https://www.gnu.org/licenses/gpl-2.0.en.html>

As a special exception, if you create a document which uses this font, and embed this font or unaltered portions of this font into the document, this font does not by itself cause the resulting document to be covered by the GNU General Public License. This exception does not however invalidate any other reasons why the document might be covered by the GNU General Public License. If you modify this font, you may extend this exception to your version of the font, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.

## Thai Electronic Publishing Club (TEPC) License

This font program is the property of Thai Electronic Publishing Club (TEPC). It is distributed as copyrighted freeware. You may use this font program without any charge and may distribute it, as is, to others only if the complete font archive remains unchanged and all files are distributed together.

Commercial distribution of this font program is restricted without prior written permission. If you wish to distribute this font program commercially, contact TEPC (tepclub@tepclub.com) for details on obtaining a license.

You may not rent or lease the font program, nor may you modify, adapt, translate, reverse engineer, decompile, or disassemble the font program in any way. You may not make derivative fonts from this font program.

THE FONT PROGRAM AND RELATED FILES ARE PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND. NO GUARANTEES ARE MADE THAT THIS FONT PROGRAM WILL WORK AS EXPECTED OR WILL BE DEVELOPED FURTHUR IN ANY SPECIFIC WAY. THERE IS NO OFFER OR GUARANTEE OF TECHNICAL SUPPORT.
